{*
<!-- 

	$display_rating - Активен или нет модуль (0:1)
	$rating_type - Метод вывода. Документ/Запрос (document/request)
	$rating_stars - Кол-во звезд
	$rating_doc_id - ID Документа
	$rating_total - Сумма голосовавших
	$rating_sum - Общая сумма баллов
	$rating_rating - Рейтинг - Общая оценка (Сумма балов/Сумма голосов)
	$rating_percent - Процент суммы былов от 100%
	$rating_can - (0:1) - 1: данной группе разрешено голосовать 0: Голосовать нельзя


	{assign var='width_1_star' value='18'} - value='18' - ширина 1й звездочки в px

 -->
*}

{if $display_rating ==1 }

	{assign var='width_1_star' value='18'}

	<link rel="stylesheet" type="text/css" href="{$ABS_PATH}modules/rating/css/rating.css" media="screen" />

	{if $rating_type == 'document'}

		<script type="text/javascript" src="{$ABS_PATH}modules/rating/js/rating.js"></script>

		<article class="rating" data-id="{$rating_doc_id}" data-total="{$rating_total}" data-sum="{$rating_sum}" data-stars="{$rating_stars}">
			<div class="rating_name">{#RATING_NAME#}:</div>
			<div class="rating_vote{if !$rating_can} rating_not_vote{/if}" style="width: {$rating_stars*$width_1_star}px;">
				<div class="rating_percent" style="width: {$rating_percent}%"></div>
				{if $rating_can}
					<div class="rating_hover"></div>
					{section name=stars loop=$rating_stars step=1 start=0}
						<div class="rating_mark" data-mark="{$smarty.section.stars.index+1}"></div>
					{/section}
				{/if}
			</div>
			<div class="rating_total">({#RATING_VOTES#}&nbsp;<span class="rating_total_num">{$rating_total}</span>)</div>

			<div class="rating_summary">{#RATING_SUMMARY#} <strong>{$rating_rating}</strong></div>
			<div class="rating_status"></div>
		</article>

	{elseif $rating_type == 'request'}

		<article class="rating" data-id="{$rating_doc_id}" title="{#RATING_SUMMARY#}&nbsp;{$rating_rating}&nbsp;&nbsp;&nbsp;{#RATING_VOTES#}&nbsp;{$rating_total}">
			<div class="rating_vote rating_not_vote" style="width: {$rating_stars*$width_1_star}px;">
				<div class="rating_percent" style="width: {$rating_percent}%"></div>
			</div>
			<div class="rating_summary">{#RATING_SUMMARY#} <strong>{if $rating_rating != "0"}{$rating_rating}{else}{#RATING_NOT#}{/if}</strong></div>
		</article>

	{/if}

{/if}